petsc-3.4.2 2013-07-02

# SNESLineSearchGetVecs

Gets the vectors from the SNESLineSearch context

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetVecs(SNESLineSearch linesearch,Vec *X,Vec *F, Vec *Y,Vec *W,Vec *G)

### Input Parameters

linesearch -linesearch context

### Output Parameters

| X | - Solution vector
| F | - Function vector
| Y | - Search direction vector
| W | - Solution work vector
| G | - Function work vector

### Notes

At the beginning of a line search application, X should contain a solution and the vector F the function computed at X. At the end of the line search application, X should contain the new solution, and F the function evaluated at the new solution.

### See Also

SNESLineSearchGetNorms(), SNESLineSearchSetVecs()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1f.F.html